Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10916)
@@ -106,9 +106,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponSlots_)
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
         {
             ++i;
             if (i > index)
-                return (elem);
+                return weaponSlot;
         }
         return nullptr;
@@ -153,9 +153,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
         {
             ++i;
             if (i > index)
-                return elem.second;
+                return mapEntry.second;
         }
         return nullptr;
@@ -168,7 +168,7 @@
 
         unsigned int freeSlots = 0;
-        for (auto & elem : this->weaponSlots_)
-        {
-            if (!(elem)->isOccupied())
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
+        {
+            if (!weaponSlot->isOccupied())
                 ++freeSlots;
         }
@@ -184,10 +184,10 @@
         // Attach all weapons to the first free slots (and to the Pawn)
         unsigned int i = 0;
-        for (auto & elem : this->weaponSlots_)
-        {
-            if (!(elem)->isOccupied() && i < wPack->getNumWeapons())
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
+        {
+            if (!weaponSlot->isOccupied() && i < wPack->getNumWeapons())
             {
                 Weapon* weapon = wPack->getWeapon(i);
-                (elem)->attachWeapon(weapon);
+                weaponSlot->attachWeapon(weapon);
                 this->getPawn()->attach(weapon);
                 ++i;
@@ -196,9 +196,9 @@
 
         // Assign the desired weaponmode to the firemodes
-        for (auto & elem : this->weaponSets_)
-        {
-            unsigned int weaponmode = wPack->getDesiredWeaponmode(elem.first);
+        for (auto& mapEntry : this->weaponSets_)
+        {
+            unsigned int weaponmode = wPack->getDesiredWeaponmode(mapEntry.first);
             if (weaponmode != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                elem.second->setWeaponmodeLink(wPack, weaponmode);
+                mapEntry.second->setWeaponmodeLink(wPack, weaponmode);
         }
 
@@ -219,6 +219,6 @@
 
         // Remove all added links from the WeaponSets
-        for (auto & elem : this->weaponSets_)
-            elem.second->removeWeaponmodeLink(wPack);
+        for (auto& mapEntry : this->weaponSets_)
+            mapEntry.second->removeWeaponmodeLink(wPack);
 
         // Remove the WeaponPack from the WeaponSystem
@@ -231,9 +231,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponPacks_)
+        for (WeaponPack* weaponPack : this->weaponPacks_)
         {
             ++i;
             if (i > index)
-                return (elem);
+                return weaponPack;
         }
         return nullptr;
@@ -268,7 +268,7 @@
         // Check if the WeaponSet belongs to this WeaponSystem
         bool foundWeaponSet = false;
-        for (auto & elem : this->weaponSets_)
-        {
-            if (elem.second == wSet)
+        for (auto& mapEntry : this->weaponSets_)
+        {
+            if (mapEntry.second == wSet)
             {
                 foundWeaponSet = true;
@@ -296,6 +296,6 @@
     void WeaponSystem::reload()
     {
-        for (auto & elem : this->weaponSets_)
-            elem.second->reload();
+        for (auto& mapEntry : this->weaponSets_)
+            mapEntry.second->reload();
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10916)
@@ -165,8 +165,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->cameraPositions_)
+        for (CameraPosition* cameraPosition : this->cameraPositions_)
         {
             if (i == index)
-                return (elem);
+                return cameraPosition;
             ++i;
         }
@@ -180,7 +180,7 @@
 
         unsigned int counter = 0;
-        for (const auto & elem : this->cameraPositions_)
-        {
-            if ((elem) == this->currentCameraPosition_)
+        for (CameraPosition* cameraPosition : this->cameraPositions_)
+        {
+            if (cameraPosition == this->currentCameraPosition_)
                 break;
             counter++;
@@ -477,7 +477,7 @@
         if (parent)
         {
-            for (auto & elem : this->cameraPositions_)
-                if ((elem)->getIsAbsolute())
-                    parent->attach((elem));
+            for (CameraPosition* cameraPosition : this->cameraPositions_)
+                if (cameraPosition->getIsAbsolute())
+                    parent->attach(cameraPosition);
         }
     }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc	(revision 10916)
@@ -89,7 +89,7 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->effects_)
+        for (WorldEntity* effect : this->effects_)
             if (i == index)
-                return (elem);
+                return effect;
         return nullptr;
     }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10916)
@@ -233,14 +233,14 @@
 
             // iterate over all children and change their activity as well
-            for (const auto & elem : this->getAttachedObjects())
+            for (WorldEntity* object : this->getAttachedObjects())
             {
                 if(!this->isActive())
                 {
-                    (elem)->bActiveMem_ = (elem)->isActive();
-                    (elem)->setActive(this->isActive());
+                    object->bActiveMem_ = object->isActive();
+                    object->setActive(this->isActive());
                 }
                 else
                 {
-                    (elem)->setActive((elem)->bActiveMem_);
+                    object->setActive(object->bActiveMem_);
                 }
             }
@@ -259,14 +259,14 @@
         {
             // iterate over all children and change their visibility as well
-            for (const auto & elem : this->getAttachedObjects())
+            for (WorldEntity* object : this->getAttachedObjects())
             {
                 if(!this->isVisible())
                 {
-                    (elem)->bVisibleMem_ = (elem)->isVisible();
-                    (elem)->setVisible(this->isVisible());
+                    object->bVisibleMem_ = object->isVisible();
+                    object->setVisible(this->isVisible());
                 }
                 else
                 {
-                    (elem)->setVisible((elem)->bVisibleMem_);
+                    object->setVisible(object->bVisibleMem_);
                 }
             }
@@ -518,8 +518,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->children_)
+        for (WorldEntity* child : this->children_)
         {
             if (i == index)
-                return (elem);
+                return child;
             ++i;
         }
@@ -938,6 +938,6 @@
         // Recalculate mass
         this->childrenMass_ = 0.0f;
-        for (const auto & elem : this->children_)
-            this->childrenMass_ += (elem)->getMass();
+        for (WorldEntity* child : this->children_)
+            this->childrenMass_ += child->getMass();
         recalculateMassProps();
         // Notify parent WE
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10916)
@@ -99,13 +99,13 @@
             }
             // iterate through all attached parts
-            for(auto & elem : this->partList_)
+            for(ShipPart* part : this->partList_)
             {
                 // if the name of the part matches the name of the object, add the object to that parts entitylist (unless it was already done).
-                if((elem->getName() == this->getAttachedObject(i)->getName()) && !elem->hasEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i))))
+                if((part->getName() == this->getAttachedObject(i)->getName()) && !part->hasEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i))))
                 {
                     // The Entity is added to the part's entityList_
-                    elem->addEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i)));
+                    part->addEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i)));
                     // An entry in the partMap_ is created, assigning the part to the entity.
-                    this->addPartEntityAssignment((StaticEntity*)(this->getAttachedObject(i)), elem);
+                    this->addPartEntityAssignment((StaticEntity*)(this->getAttachedObject(i)), part);
                 }
             }
@@ -146,8 +146,8 @@
     ShipPart* ModularSpaceShip::getPartOfEntity(StaticEntity* entity) const
     {
-        for (const auto & elem : this->partMap_)
-        {
-            if (elem.first == entity)
-                return elem.second;
+        for (const auto& mapEntry : this->partMap_)
+        {
+            if (mapEntry.first == entity)
+                return mapEntry.second;
         }
         return nullptr;
@@ -242,9 +242,9 @@
     ShipPart* ModularSpaceShip::getShipPartByName(std::string name)
     {
-        for(auto & elem : this->partList_)
-        {
-            if(orxonox_cast<ShipPart*>(elem)->getName() == name)
-            {
-                return orxonox_cast<ShipPart*>(elem);
+        for(ShipPart* part : this->partList_)
+        {
+            if(orxonox_cast<ShipPart*>(part)->getName() == name)
+            {
+                return orxonox_cast<ShipPart*>(part);
             }
         }
@@ -256,12 +256,12 @@
     @brief
         Check whether the SpaceShip has a particular Engine.
-    @param engine
+    @param search
         A pointer to the Engine to be checked.
     */
-    bool ModularSpaceShip::hasShipPart(ShipPart* part) const
-    {
-        for(auto & elem : this->partList_)
-        {
-            if(elem == part)
+    bool ModularSpaceShip::hasShipPart(ShipPart* search) const
+    {
+        for(ShipPart* part : this->partList_)
+        {
+            if(part == search)
                 return true;
         }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10916)
@@ -158,6 +158,6 @@
 
         // Run the engines
-        for(auto & elem : this->engineList_)
-            (elem)->run(dt);
+        for(Engine* engine : this->engineList_)
+            engine->run(dt);
 
         if (this->hasLocalController())
@@ -313,12 +313,12 @@
     @brief
         Check whether the SpaceShip has a particular Engine.
-    @param engine
+    @param search
         A pointer to the Engine to be checked.
     */
-    bool SpaceShip::hasEngine(Engine* engine) const
-    {
-        for(auto & elem : this->engineList_)
-        {
-            if(elem == engine)
+    bool SpaceShip::hasEngine(Engine* search) const
+    {
+        for(Engine* engine : this->engineList_)
+        {
+            if(engine == search)
                 return true;
         }
@@ -350,7 +350,7 @@
     Engine* SpaceShip::getEngineByName(const std::string& name)
     {
-        for(auto & elem : this->engineList_)
-            if(elem->getName() == name)
-                return elem;
+        for(Engine* engine : this->engineList_)
+            if(engine->getName() == name)
+                return engine;
 
         orxout(internal_warning) << "Couldn't find Engine with name \"" << name << "\"." << endl;
@@ -396,6 +396,6 @@
     void SpaceShip::addSpeedFactor(float factor)
     {
-        for(auto & elem : this->engineList_)
-            elem->addSpeedMultiply(factor);
+        for(Engine* engine : this->engineList_)
+            engine->addSpeedMultiply(factor);
     }
 
@@ -408,6 +408,6 @@
     void SpaceShip::addSpeed(float speed)
     {
-        for(auto & elem : this->engineList_)
-            elem->addSpeedAdd(speed);
+        for(Engine* engine : this->engineList_)
+            engine->addSpeedAdd(speed);
     }
 
@@ -436,8 +436,8 @@
     {
         float speed=0;
-        for(auto & elem : this->engineList_)
-        {
-            if(elem->getMaxSpeedFront() > speed)
-                speed = elem->getMaxSpeedFront();
+        for(Engine* engine : this->engineList_)
+        {
+            if(engine->getMaxSpeedFront() > speed)
+                speed = engine->getMaxSpeedFront();
         }
         return speed;
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 10916)
@@ -80,7 +80,7 @@
 
         std::set<WorldEntity*> attachments = this->getAttachedObjects();
-        for (const auto & attachment : attachments)
+        for (WorldEntity* attachment : attachments)
         {
-            if ((attachment)->isA(Class(TeamColourable)))
+            if (attachment->isA(Class(TeamColourable)))
             {
                 TeamColourable* tc = orxonox_cast<TeamColourable*>(attachment);
